/*
 * LALFrameVCSInfo.h.in - LALFrame VCS Information Header
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or (at
 * your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with with program; see the file COPYING. If not, write to the
 * Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston,
 * MA 02111-1307 USA
 *
 * Copyright (C) 2009-2010 Adam Mercer
 */

#ifndef _LALFRAMEVCSINFO_H
#define _LALFRAMEVCSINFO_H

#include <lal/LALVCSInfo.h>
#include <lal/LALFrameConfig.h>

#ifdef __cplusplus
extern "C" {
#endif

/* vcs information defines */
#define LALFRAME_VCS_NAME "LALFrame"
#define LALFRAME_VCS_ID "a40417fe772e587a16de55ae346da6b5fc437051"
#define LALFRAME_VCS_DATE "2012-04-10 20:38:40 +0000"
#define LALFRAME_VCS_BRANCH "None"
#define LALFRAME_VCS_TAG "lalframe-v1.0.5"
#define LALFRAME_VCS_AUTHOR "Adam Mercer <adam.mercer@ligo.org>"
#define LALFRAME_VCS_COMMITTER "Adam Mercer <adam.mercer@ligo.org>"
#define LALFRAME_VCS_STATUS "CLEAN: All modifications committed"

/* vcs information defines - identable*/
#define LALFRAME_VCS_IDENT_ID "$" "LALFrameId: a40417fe772e587a16de55ae346da6b5fc437051 " "$"
#define LALFRAME_VCS_IDENT_DATE "$" "LALFrameDate: 2012-04-10 20:38:40 +0000 " "$"
#define LALFRAME_VCS_IDENT_BRANCH "$" "LALFrameBranch: None " "$"
#define LALFRAME_VCS_IDENT_TAG "$" "LALFrameTag: lalframe-v1.0.5 " "$"
#define LALFRAME_VCS_IDENT_AUTHOR "$" "LALFrameAuthor: Adam Mercer <adam.mercer@ligo.org> " "$"
#define LALFRAME_VCS_IDENT_COMMITTER "$" "LALFrameCommitter: Adam Mercer <adam.mercer@ligo.org> " "$"
#define LALFRAME_VCS_IDENT_STATUS "$" "LALFrameStatus: CLEAN: All modifications committed " "$"

/* vcs information structures */
extern struct tagLALVCSInfo lalFrameVCSInfo;
static const struct tagLALVCSInfo lalFrameHeaderVCSInfo = { \
  LALFRAME_VCS_NAME, \
  LALFRAME_VERSION, \
  LALFRAME_VCS_ID, \
  LALFRAME_VCS_DATE, \
  LALFRAME_VCS_BRANCH, \
  LALFRAME_VCS_TAG, \
  LALFRAME_VCS_AUTHOR, \
  LALFRAME_VCS_COMMITTER, \
  LALFRAME_VCS_STATUS \
};

#ifdef __cplusplus
}
#endif

#endif /* _LALFRAMEVCSINFO_H */

/*
 * vim: tw=0 ts=2 et
 */
